/******************************************************************************
 *            g_menu.h                                                        *
 *                                                                            *
 *  Copyright  2006  gerald.dumas                                             *
 *  linechec@laposte.net                                                      *
 ******************************************************************************
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  any later version.                                                        *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.*
 ******************************************************************************/

/* Fcts de gestion du déplacement des pièces, de l'affichage des coups jouables */
#include "g_interface.h"
#include "echecs_init.h"
#include "g_echecs_init.h"
//#include "g_fcts_annexes.h"
#include "g_affichage_echiquier.h"
#include "g_creation_affich_coups.h"
#include "g_integration_pgn.h"
#include "echecs_gnuchess.h"

#if !defined(G_MENU)
#define G_MENU

void g_enreg_partie (GtkWidget * fenetre_principale, gint choix);
extern void g_nouvelle_partie (GtkWidget * widget, gpointer data);
void g_charger_partie (GtkWidget * widget, gpointer data);
void g_quitter (GtkWidget * widget, gpointer data);
void g_afficher_texte_sous_icone (GtkWidget * widget, gpointer data);
void g_changer_modele_echiquier (GtkWidget * widget, gpointer data);
extern void g_a_propos (GtkWidget * widget, gpointer data);
extern GtkWidget *creation_menu (GtkWidget * fenetre_principale,
																								GtkWidget * boite_horizontale);

#endif
